﻿<!DOCTYPE html>
<!--[if IE]><![endif]-->
<html>
  
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>Class FizzBuzz
   </title>
    <meta name="viewport" content="width=device-width">
    <meta name="title" content="Class FizzBuzz
   ">
    <meta name="generator" content="docfx 2.56.2.0">
    
    <link rel="shortcut icon" href="../favicon.ico">
    <link rel="stylesheet" href="../styles/docfx.vendor.css">
    <link rel="stylesheet" href="../styles/docfx.css">
    <link rel="stylesheet" href="../styles/main.css">
    <meta property="docfx:navrel" content="../toc.html">
    <meta property="docfx:tocrel" content="toc.html">
    
    
    
  </head>
  <body data-spy="scroll" data-target="#affix" data-offset="120">
    <div id="wrapper">
      <header>
        
        <nav id="autocollapse" class="navbar navbar-inverse ng-scope" role="navigation">
          <div class="container">
            <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>
              
              <a class="navbar-brand" href="../index.html">
                <img id="logo" class="svg" src="../logo.svg" alt="">
              </a>
            </div>
            <div class="collapse navbar-collapse" id="navbar">
              <form class="navbar-form navbar-right" role="search" id="search">
                <div class="form-group">
                  <input type="text" class="form-control" id="search-query" placeholder="Search" autocomplete="off">
                </div>
              </form>
            </div>
          </div>
        </nav>
        
        <div class="subnav navbar navbar-default">
          <div class="container hide-when-search" id="breadcrumb">
            <ul class="breadcrumb">
              <li></li>
            </ul>
          </div>
        </div>
      </header>
      <div role="main" class="container body-content hide-when-search">
        
        <div class="sidenav hide-when-search">
          <a class="btn toc-toggle collapse" data-toggle="collapse" href="#sidetoggle" aria-expanded="false" aria-controls="sidetoggle">Show / Hide Table of Contents</a>
          <div class="sidetoggle collapse" id="sidetoggle">
            <div id="sidetoc"></div>
          </div>
        </div>
        <div class="article row grid-right">
          <div class="col-md-10">
            <article class="content wrap" id="_content" data-uid="FizzBuzzApp.FizzBuzz">
  
  
  <h1 id="FizzBuzzApp_FizzBuzz" data-uid="FizzBuzzApp.FizzBuzz" class="text-break">Class FizzBuzz
  </h1>
  <div class="markdown level0 summary"><p>FizzBuzzクラス。</p>
</div>
  <div class="markdown level0 conceptual"></div>
  <div class="inheritance">
    <h5>&#32153;&#25215;</h5>
    <div class="level0"><span class="xref">System.Object</span></div>
    <div class="level1"><span class="xref">FizzBuzz</span></div>
  </div>
  <h6><strong>&#21517;&#21069;&#31354;&#38291;</strong>: <a class="xref" href="FizzBuzzApp.html">FizzBuzzApp</a></h6>
  <h6><strong>&#12450;&#12475;&#12531;&#12502;&#12522;</strong>: FizzBuzzApp.dll</h6>
  <h5 id="FizzBuzzApp_FizzBuzz_syntax">Syntax</h5>
  <div class="codewrapper">
    <pre><code class="lang-csharp hljs">public class FizzBuzz</code></pre>
  </div>
  <h5 id="FizzBuzzApp_FizzBuzz_remarks"><strong>&#20633;&#32771;</strong></h5>
  <div class="markdown level0 remarks"><p>改定履歴<br>
<table><thead><tr><th>Ver - 改定日付 - 改定者</th><th>改定内容</th></tr></thead><tbody><tr><td>1.00 - 2020/10/04 - ああああ</td><td>【No.1】いいいい</td></tr><tr><td>2.00 - 2020/10/04 - ああああ</td><td>【No.1】いいいい</td></tr><tr><td>3.00 - 2020/10/04 - ああああ</td><td>【No.1】いいいい</td></tr></tbody></table></p>
</div>
  <h3 id="methods">&#12513;&#12477;&#12483;&#12489;
  </h3>
  
  
  <a id="FizzBuzzApp_FizzBuzz_ToFizzBuzzString_" data-uid="FizzBuzzApp.FizzBuzz.ToFizzBuzzString*"></a>
  <h4 id="FizzBuzzApp_FizzBuzz_ToFizzBuzzString_System_Int32_" data-uid="FizzBuzzApp.FizzBuzz.ToFizzBuzzString(System.Int32)">ToFizzBuzzString(Int32)</h4>
  <div class="markdown level1 summary"><p>数値をFizzBuzz文字列に変換します。</p>
</div>
  <div class="markdown level1 conceptual"></div>
  <h5 class="decalaration">Declaration</h5>
  <div class="codewrapper">
    <pre><code class="lang-csharp hljs">public string ToFizzBuzzString(int num)</code></pre>
  </div>
  <h5 class="parameters">&#12497;&#12521;&#12513;&#12540;&#12479;</h5>
  <table class="table table-bordered table-striped table-condensed">
    <thead>
      <tr>
        <th>&#22411;</th>
        <th>&#21517;&#21069;</th>
        <th>&#35500;&#26126;</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td><span class="xref">System.Int32</span></td>
        <td><span class="parametername">num</span></td>
        <td><p>数値</p>
</td>
      </tr>
    </tbody>
  </table>
  <h5 class="returns">&#25147;&#12426;&#20516;</h5>
  <table class="table table-bordered table-striped table-condensed">
    <thead>
      <tr>
        <th>&#22411;</th>
        <th>&#35500;&#26126;</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td><span class="xref">System.String</span></td>
        <td><p>FizzBuzz文字列</p>
</td>
      </tr>
    </tbody>
  </table>
  <h5 id="FizzBuzzApp_FizzBuzz_ToFizzBuzzString_System_Int32__examples">&#20363;</h5>
  <pre><code>Dim retVal As String
dim fb As New FizzBuzz
retVal = fb.ToFizzBuzzString(1)  &apos; 戻り値: 1
retVal = fb.ToFizzBuzzString(3)  &apos; 戻り値: Fizz
retVal = fb.ToFizzBuzzString(5)  &apos; 戻り値: Buzz
retVal = fb.ToFizzBuzzString(15) &apos; 戻り値: FizzBuzz</code></pre>

</article>
          </div>
          
          <div class="hidden-sm col-md-2" role="complementary">
            <div class="sideaffix">
              <div class="contribution">
                <ul class="nav">
                </ul>
              </div>
              <nav class="bs-docs-sidebar hidden-print hidden-xs hidden-sm affix" id="affix">
              <!-- <p><a class="back-to-top" href="#top">Back to top</a><p> -->
              </nav>
            </div>
          </div>
        </div>
      </div>
      
      <footer>
        <div class="grad-bottom"></div>
        <div class="footer">
          <div class="container">
            <span class="pull-right">
              <a href="#top">Back to top</a>
            </span>
            
            <span>Generated by <strong>DocFX</strong></span>
          </div>
        </div>
      </footer>
    </div>
    
    <script type="text/javascript" src="../styles/docfx.vendor.js"></script>
    <script type="text/javascript" src="../styles/docfx.js"></script>
    <script type="text/javascript" src="../styles/main.js"></script>
  </body>
</html>
